Bug 754214 - Backport Pegatron Lucid support for asus-laptop to Fedora 16 kernel (ExoPC, WeTab)
Backport Pegatron Lucid support for asus-laptop to Fedora 16 kernel (ExoPC, W...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-15 12:57 EST by Eike Hein
Modified: 2011-11-24 21:31 EST (History)
6 users (show)

See Also:
Fixed In Version: kernel-3.1.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-24 21:31:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eike Hein 2011-11-15 12:57:45 EST
I'd like to inquire about the chances of backporting a series of commits found in 3.2-rc1 to the Fedora 16 kernel, which add support for the Pegatron Lucid ambient light sensor and accelerometer to the asus-laptop kernel module.

LKML: https://lkml.org/lkml/2011/10/14/109

This hardware is found in the WeTab tablet PC, and also in the ExoPC tablet PC that is more or less identical to the WeTab to my knowledge, except for having a slightly newer revision of the mainboard.

The ExoPC is the tablet PC that Intel has recently been handing out to FOSS developers in large numbers at their "AppUp" events to promote MeeGo development. A sizable number of KDE developers (me among them) have also received ExoPCs from Intel to support the development of Plasma Active (http://www.plasma-active.org/), which the Fedora KDE SIG and Red Hat employee Jaroslav Řezník are currently working on packaging for Fedora.

Without this support in asus-laptop, the ambient light sensor is left free to regulate the display brightness, which translates to constantly fiddling with it, which many users find annoying.
Comment 1 Eike Hein 2011-11-15 13:00:50 EST
(I should add that Intel also held an AppUp event at this year's Desktop Summit.)
Comment 2 Dave Jones 2011-11-15 14:49:01 EST
added to git. will be in the next build.
Comment 3 Eike Hein 2011-11-15 14:58:02 EST
Great news, thanks!
Comment 4 Fedora Update System 2011-11-22 11:15:42 EST
kernel-3.1.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.1.2-1.fc16
Comment 5 Fedora Update System 2011-11-22 19:53:01 EST
Package kernel-3.1.2-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.1.2-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16237/kernel-3.1.2-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-11-24 21:31:42 EST
kernel-3.1.2-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.